> # NAME

> cgSetMatrixParameteric - sets the value of matrix parameters

> # SYNOPSIS

>       #include <Cg/cg.h>

>       void cgSetMatrixParameteric( CGparameter param,
>                                    const int * matrix );

> # PARAMETERS

> param

>   The parameter that will be set.

> matrix

>   An array of values used to set the matrix parameter. The array must be the number of rows times the number of columns in size.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgSetMatrixParameteric sets the value of a given matrix parameter from an array of ints laid out in column-major order.

> cgSetMatrixParameteric may only be called with uniform parameters.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> # HISTORY

> cgSetMatrixParameteric was introduced in Cg 1.4.

> # SEE ALSO

> cgSetMatrixParameter, cgGetParameterRows, cgGetParameterColumns, cgGetMatrixParameter, cgGetParameterValues